---
title: Get schema
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > SCIM
---

# Get schema{% #get-schema %}

{% tab title="v2" %}

| Datadog site      | API endpoint                                                      |
| ----------------- | ----------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/scim/Schemas/{schema_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/scim/Schemas/{schema_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/scim/Schemas/{schema_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/scim/Schemas/{schema_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/scim/Schemas/{schema_id}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/scim/Schemas/{schema_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/scim/Schemas/{schema_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/scim/Schemas/{schema_id} |

### Overview

Get a single SCIM schema using the `schema_id`. Supported `schema_id` values are `urn:ietf:params:scim:schemas:core:2.0:User` and `urn:ietf:params:scim:schemas:core:2.0:Group`. This endpoint requires all of the following permissions:
`user_access_invite``user_access_manage` 


### Arguments

#### Path Parameters

| Name                        | Type   | Description                       |
| --------------------------- | ------ | --------------------------------- |
| schema_id [*required*] | string | The id of the schema to retrieve. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Definition of a SCIM schema.

| Parent field  | Field           | Type     | Description                                                                                                                                                        |
| ------------- | --------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
|               | attributes      | [object] | A list of attributes that make up the schema.                                                                                                                      |
| attributes    | canonicalValues | [string] | A collection of canonical values.                                                                                                                                  |
| attributes    | caseExact       | boolean  | A Boolean value that specifies whether or not a string attribute is case sensitive.                                                                                |
| attributes    | description     | string   | The attribute's human-readable description.                                                                                                                        |
| attributes    | multiValued     | boolean  | A Boolean value indicating an attribute's plurality.                                                                                                               |
| attributes    | mutability      | string   | A single keyword indicating the circumstances under which the value of the attribute can be (re)defined.                                                           |
| attributes    | name            | string   | The attribute's name.                                                                                                                                              |
| attributes    | referenceTypes  | [string] | A list of resource types or external resources the reference may refer to.                                                                                         |
| attributes    | required        | boolean  | A Boolean value that specifies whether or not the attribute is required.                                                                                           |
| attributes    | returned        | string   | A single keyword that indicates when an attribute and associated values are returned in response to a GET request or in response to a PUT, POST, or PATCH request. |
| attributes    | subAttributes   | [object] | A list of sub-attributes for complex attributes.                                                                                                                   |
| subAttributes | canonicalValues | [string] | A collection of canonical values.                                                                                                                                  |
| subAttributes | caseExact       | boolean  | A Boolean value that specifies whether or not a string attribute is case sensitive.                                                                                |
| subAttributes | description     | string   | The attribute's human-readable description.                                                                                                                        |
| subAttributes | multiValued     | boolean  | A Boolean value indicating an attribute's plurality.                                                                                                               |
| subAttributes | mutability      | string   | A single keyword indicating the circumstances under which the value of the attribute can be (re)defined.                                                           |
| subAttributes | name            | string   | The sub-attribute's name.                                                                                                                                          |
| subAttributes | referenceTypes  | [string] | A list of resource types or external resources the reference may refer to.                                                                                         |
| subAttributes | required        | boolean  | A Boolean value that specifies whether or not the attribute is required.                                                                                           |
| subAttributes | returned        | string   | A single keyword that indicates when an attribute and associated values are returned in response to a GET request or in response to a PUT, POST, or PATCH request. |
| subAttributes | type            | string   | The data type of the attribute.                                                                                                                                    |
| subAttributes | uniqueness      | string   | A single keyword value that specifies how the service provider enforces uniqueness of attribute values.                                                            |
| attributes    | type            | string   | The data type of the attribute.                                                                                                                                    |
| attributes    | uniqueness      | string   | A single keyword value that specifies how the service provider enforces uniqueness of attribute values.                                                            |
|               | description     | string   | Human-readable description of the schema.                                                                                                                          |
|               | id              | string   | The unique URI of the schema.                                                                                                                                      |
|               | meta            | object   | Metadata associated with a SCIM schema.                                                                                                                            |
| meta          | location        | string   | URL identifying the schema.                                                                                                                                        |
| meta          | resourceType    | string   | Type of resource.                                                                                                                                                  |
|               | name            | string   | The human-readable name of the schema.                                                                                                                             |

{% /tab %}

{% tab title="Example" %}

```json
{
  "attributes": [
    {
      "canonicalValues": [],
      "caseExact": false,
      "description": "string",
      "multiValued": false,
      "mutability": "string",
      "name": "string",
      "referenceTypes": [],
      "required": false,
      "returned": "string",
      "subAttributes": [
        {
          "canonicalValues": [],
          "caseExact": false,
          "description": "string",
          "multiValued": false,
          "mutability": "string",
          "name": "string",
          "referenceTypes": [],
          "required": false,
          "returned": "string",
          "type": "string",
          "uniqueness": "string"
        }
      ],
      "type": "string",
      "uniqueness": "string"
    }
  ],
  "description": "User Schema",
  "id": "urn:ietf:params:scim:schemas:core:2.0:User",
  "meta": {
    "location": "https://app.datadoghq.com/api/v2/scim/Schemas/urn:ietf:params:scim:schemas:core:2.0:User",
    "resourceType": "Schema"
  },
  "name": "User"
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export schema_id="CHANGE_ME" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/scim/Schemas/${schema_id}" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}" 
                
{% /tab %}
